UbixOS V2 2.0

Data Fields
sys_fstatfs_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_fstatfs_args:

## Data Fields
struct statfs * | buf
char | buf_l_ [0]
char | buf_r_ [(sizeof(register_t)<=sizeof(struct statfs *) ? 0 :sizeof(register_t) - sizeof(struct statfs *))]
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

## Detailed Description

Definition at line 287 of file sysproto_posix.h.

## Field Documentation

## ◆ buf

struct statfs* sys_fstatfs_args::buf

Definition at line 292 of file sysproto_posix.h.

Referenced by sys_fstatfs().

## ◆ buf_l_

char sys_fstatfs_args::buf_l_[0]

Definition at line 291 of file sysproto_posix.h.

## ◆ buf_r_

char sys_fstatfs_args::buf_r_[(sizeof(register_t)<=sizeof(struct statfs *) ? 0 :sizeof(register_t) - sizeof(struct statfs *))]

Definition at line 293 of file sysproto_posix.h.

## ◆ fd

int sys_fstatfs_args::fd

Definition at line 289 of file sysproto_posix.h.

Referenced by sys_fstatfs().

## ◆ fd_l_

char sys_fstatfs_args::fd_l_[0]

Definition at line 288 of file sysproto_posix.h.

## ◆ fd_r_

char sys_fstatfs_args::fd_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 290 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h